Dit is een plaats om gedeelde wachtwoorden in te beheren die zijn te
gebruiken met [`pass`](https://www.passwordstore.org/), wat werkt met
[GnuPG](https://www.gnupg.org/gph/en/manual.html).  De wachtwoorden
worden versleuteld voor iedereen die toegang hoort te hebben.  Met een
extensie zoals
[Browserpass](https://github.com/browserpass/browserpass-extension) is
het gemakkelijk te gebruiken in een webbrowser ([`ctrl-shift-f` voor autofill](https://github.com/browserpass/browserpass-extension#available-keyboard-shortcuts)).

# beginnen

## sleutel aanmaken

Als je nog geen PGP-sleutel hebt, of een aparte sleutel wil gebruiken,
kun je die aanmaken door het volgende uit te voeren en de instructies
te volgen.

```sh
gpg --generate-key
```

## sleutel delen

Om je sleutel te delen, exporteer je de publieke sleutel van de eerder
gekozen user ID naar een bestand.

```sh
gpg --export --armor "USER-ID" > "USER-ID.asc"
```

## store aanmaken

Als je `pass` nog niet gebruikt, kun je jouw store aanmaken met de
user ID die je koos bij het aanmaken van je sleutel.

```sh
pass init "USER-ID"
pass git init
```

Daarna kun je deze gedeelde store toevoegen.

```sh
git clone ssh://git@code.bij1.org:222/bij1/password-store.git ~/.password-store/bij1-shared
```

# password store beheren

Zorg dat je in de juiste directory werkt, bijvoorbeeld:

```sh
cd ~/.password-store/bij1-shared
```

Van hieruit kun je `pass` commando's gebruiken.
Dit is tevens de locatie van waaruit je Git commando's uitvoert.
Let wel dat `~/.password-store/` een aparte Git repo is, vanwaar je dus niet deze remote kunt pullen/pushen.

`pass` commando's gebruiken ook vanuit `~/.password-store/bij1-shared`
dezelfde relatieve paden gerekend vanuit `~/.password-store`.

We raden aan het formaat van de files compatible te houden met dat verwacht door
[browserpass](https://github.com/browserpass/browserpass-extension#organizing-password-store).

## sleutels importeren

Om wijzigingen te kunnen maken, is het nodig om eerst alle sleutels te
importeren.

```sh
./import.sh
```

## sleutels wijzigen

Plaats nieuwe publieke sleutels in [`keys`](./keys) of verwijder daar
oude sleutels.  Versleutel de store daarna opnieuw met alle sleutels
en deel de wijzigingen.

```sh
pass init --path=bij1-shared $(./fingerprints.sh)
```

Let op dat oude sleutels toegang houden tot oude inhoud, dus het is
aan te raden om wachtwoorden te vernieuwen na het verwijderen van
sleutels.
